### Signal

# WebKit Download::failed

unstable since: 6.0

#### Declaration

    void
    failed (
      WebKitDownload* self,
      GError* error,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an error occurs during the download operation. The given `error`, of the domain `WEBKIT_DOWNLOAD_ERROR`, contains further details of the failure. If the download is cancelled with webkit_download_cancel(), this signal is emitted with error `WEBKIT_DOWNLOAD_ERROR_CANCELLED_BY_USER`. The download operation finishes after an error and `WebKitDownload::finished` signal is emitted after this one.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0

#### Parameters

`error`

  Type: `GError`

  The `GError` that was triggered.

  The data is owned by the caller of the function.